glibmm: Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type > Class Template Reference

glibmm 2.78.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type > Class Template Reference
Generic Values

Partial specialization for RefPtr<> to Glib::Object. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >:
[legend]

## Public Types
using | CppType = Glib::RefPtr< T >

## Public Member Functions
void | set (const CppType &data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase &other)
ValueBase & | operator= (const ValueBase &other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue * value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase *data)
Glib::ObjectBase * | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

template<class T>
class Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

## ◆ CppType

template <class T >

using Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >::CppType = Glib::RefPtr<T>

## Member Function Documentation

## ◆ get()

template <class T >

CppType Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >::get | ( |  | ) | const
| inline

## ◆ set()

template <class T >

void Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >::set | ( | const CppType & | data | ) |
| inline

## ◆ value_type()

template <class T >

static GType Glib::Value< Glib::RefPtr< T >, typename std::enable_if< Glib::Traits::HasGetBaseType< T, GType()>::value >::type >::value_type | ( |  | ) |
| inlinestatic